org.apache.hc.client5.http.cookie

## Interface CookieSpecProvider

All Known Implementing Classes:
  IgnoreSpecProvider, RFC6265CookieSpecProvider

    @Contract(threading=STATELESS)
    public interface CookieSpecProvider

Factory for `CookieSpec` implementations.

Since:
  4.3

### Method Summary

Methods
`CookieSpec` `create(org.apache.hc.core5.http.protocol.HttpContext context)` Creates an instance of `CookieSpec`.

### Method Detail

#### create

    CookieSpec create(org.apache.hc.core5.http.protocol.HttpContext context)

Creates an instance of `CookieSpec`.

Returns:
  auth scheme.